## Final Showdown: Main

clear @a[scores={death=0},nbt=!{Inventory:[{id:"minecraft:crossbow"}]}] crossbow
give @a[scores={death=0},nbt=!{Inventory:[{id:"minecraft:crossbow"}]}] crossbow{Unbreakable:1b,Enchantments:[{id:"protection",lvl:1s}],display:{Name:'{"text":"Firework Launcher","italic":false,"color":"aqua"}',Lore:['{"text":"Rapid-fire firework launcher!","color":"yellow","italic":false}']},HideFlags:63,GameItem:1b}
kill @e[type=item]

replaceitem entity @a[scores={death=0},nbt={Inventory:[{id:"minecraft:firework_rocket"}],SelectedItem:{id:"minecraft:crossbow"}},nbt=!{SelectedItem:{tag:{Charged:1b}}}] weapon.mainhand crossbow{GameItem:1b,Charged:1b,ChargedProjectiles:[{id:"minecraft:firework_rocket",Count:1b,tag:{Fireworks:{Explosions:[{Type:0b,Flicker:0b,Trail:0b,Colors:[I;15662848,65509]}]}}}],Unbreakable:1b,Enchantments:[{id:"protection",lvl:1s}],display:{Name:'{"text":"Firework Launcher","italic":false,"color":"aqua"}',Lore:['{"text":"Rapid-fire firework launcher!","color":"yellow","italic":false}']},HideFlags:63}
replaceitem entity @a[scores={death=0},nbt=!{Inventory:[{id:"minecraft:firework_rocket"}]},nbt={SelectedItem:{id:"minecraft:crossbow",tag:{Charged:1b}}}] weapon.mainhand crossbow{GameItem:1b,Unbreakable:1b,Enchantments:[{id:"protection",lvl:1s}],display:{Name:'{"text":"Firework Launcher","italic":false,"color":"aqua"}',Lore:['{"text":"Rapid-fire firework launcher!","color":"yellow","italic":false}']},HideFlags:63}

clear @a[gamemode=!creative,advancements={game:final_showdown/shot_crossbow=true}] firework_rocket 1
advancement revoke @a only game:final_showdown/shot_crossbow

scoreboard players remove @a[scores={death=0}] final_showdown.c 1
experience set @a[scores={death=0,final_showdown.c=200}] 10 levels
experience set @a[scores={death=0,final_showdown.c=180}] 9 levels
experience set @a[scores={death=0,final_showdown.c=160}] 8 levels
experience set @a[scores={death=0,final_showdown.c=140}] 7 levels
experience set @a[scores={death=0,final_showdown.c=120}] 6 levels
experience set @a[scores={death=0,final_showdown.c=100}] 5 levels
experience set @a[scores={death=0,final_showdown.c=80}] 4 levels
experience set @a[scores={death=0,final_showdown.c=60}] 3 levels
experience set @a[scores={death=0,final_showdown.c=40}] 2 levels
experience set @a[scores={death=0,final_showdown.c=20}] 1 levels
execute as @a[scores={death=0,final_showdown.c=..0}] run function game:final_showdown/grant_firework

execute as @e[type=firework_rocket,tag=!processed] run function game:final_showdown/firework_color
effect give @a[scores={death=0}] regeneration 999999 0 true


execute if score gameTime gameData matches 0..1800 run scoreboard players add gameTime gameData 1
execute if score gameTime gameData matches 1800 run title @a title {"text":"Deathmatch","color":"dark_red","bold":true}
execute if score gameTime gameData matches 1800 run playsound entity.ender_dragon.growl voice @a ~ ~ ~ 999999 1
execute if score gameTime gameData matches 1800 positioned 0 65 0 as @a positioned as @e[type=area_effect_cloud,tag=floor,distance=..10,limit=1,sort=random] run tp @s ~ 66 ~
execute if score gameTime gameData matches 1800 run scoreboard players set walls gameData 1

execute if score gameTime gameData matches 600 run tellraw @a [{"text":"- ","color":"white"},{"text":"Deathmatch will start in ","color":"yellow"},{"text":"1","color":"aqua"},{"text":" minute","color":"yellow"}]
execute if score gameTime gameData matches 1600 run tellraw @a [{"text":"- ","color":"white"},{"text":"Deathmatch will start in ","color":"yellow"},{"text":"10","color":"aqua"},{"text":" seconds","color":"yellow"}]
execute if score gameTime gameData matches 1740 run tellraw @a [{"text":"- ","color":"white"},{"text":"Deathmatch will start in ","color":"yellow"},{"text":"3","color":"aqua"},{"text":" seconds","color":"yellow"}]
execute if score gameTime gameData matches 1760 run tellraw @a [{"text":"- ","color":"white"},{"text":"Deathmatch will start in ","color":"yellow"},{"text":"2","color":"aqua"},{"text":" seconds","color":"yellow"}]
execute if score gameTime gameData matches 1780 run tellraw @a [{"text":"- ","color":"white"},{"text":"Deathmatch will start in ","color":"yellow"},{"text":"1","color":"aqua"},{"text":" second","color":"yellow"}]
execute if score gameTime gameData matches 1800 run tellraw @a [{"text":"- ","color":"white"},{"text":"Deathmatch started!","color":"yellow"}]

execute if score gameTime gameData matches 600 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1600 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1740 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1760 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1780 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1800 run playsound block.note_block.hat voice @a ~ ~ ~ 10000 2


# End Round
execute if score alive gameData matches 1 run tellraw @a [{"text":"- ","color":"white"},{"selector":"@a[scores={death=0},limit=1]","color":"aqua"},{"text":" won the round and earned ","color":"yellow"},{"score":{"objective":"const","name":"pointsReward"},"color":"aqua"},{"text":" points!","color":"yellow"}]
execute if score alive gameData matches 1 run title @a times 0 80 20
execute if score alive gameData matches 1 run title @a title {"selector":"@a[scores={death=0},limit=1]","color":"aqua","bold":true}
execute if score alive gameData matches 1 run title @a subtitle [{"text":"won ","color":"yellow"},{"score":{"objective":"const","name":"pointsReward"},"color":"yellow"},{"text":" points!","color":"yellow"}]
execute if score alive gameData matches 1 run scoreboard players operation @a[scores={death=0}] points += pointsReward const
execute if score alive gameData matches 1 run scoreboard players set phase gameData 5