## Santa's Standoff: Main

execute unless score gameTime gameData matches 1800..1801 run scoreboard players remove santas_standoff.spawn gameData 1
execute unless score gameTime gameData matches 1800..1801 if score santas_standoff.spawn gameData matches 0 run function game:santas_standoff/spawn_present

execute as @e[type=slime,tag=processed,nbt={HurtTime:9s}] at @s run function game:santas_standoff/loot
execute as @e[type=slime,tag=!processed] at @s run function game:santas_standoff/create_present
effect give @e[type=slime] invisibility 999999 255 true
effect give @e[type=slime] resistance 999999 255 true

team modify players friendlyFire true

execute if score gameTime gameData matches 0..1800 run scoreboard players add gameTime gameData 1
execute if score gameTime gameData matches 1800 run title @a title {"text":"Deathmatch","color":"dark_red","bold":true}
execute if score gameTime gameData matches 1800 run playsound entity.ender_dragon.growl voice @a ~ ~ ~ 999999 1
execute if score gameTime gameData matches 1800 positioned 0 65 0 as @a positioned as @e[type=area_effect_cloud,tag=floor,distance=..10,limit=1,sort=random] run tp @s ~ 66 ~
execute if score gameTime gameData matches 1800 run scoreboard players set walls gameData 1
execute if score gameTime gameData matches 1800 run tp @e[type=slime] 0 -1000 0
execute if score gameTime gameData matches 1800 run kill @e[type=slime]
execute if score gameTime gameData matches 1800 run kill @e[type=armor_stand,tag=santas_standoff.present]

execute if score gameTime gameData matches 600 run tellraw @a [{"text":"- ","color":"white"},{"text":"Deathmatch will start in ","color":"yellow"},{"text":"1","color":"aqua"},{"text":" minute","color":"yellow"}]
execute if score gameTime gameData matches 1600 run tellraw @a [{"text":"- ","color":"white"},{"text":"Deathmatch will start in ","color":"yellow"},{"text":"10","color":"aqua"},{"text":" seconds","color":"yellow"}]
execute if score gameTime gameData matches 1740 run tellraw @a [{"text":"- ","color":"white"},{"text":"Deathmatch will start in ","color":"yellow"},{"text":"3","color":"aqua"},{"text":" seconds","color":"yellow"}]
execute if score gameTime gameData matches 1760 run tellraw @a [{"text":"- ","color":"white"},{"text":"Deathmatch will start in ","color":"yellow"},{"text":"2","color":"aqua"},{"text":" seconds","color":"yellow"}]
execute if score gameTime gameData matches 1780 run tellraw @a [{"text":"- ","color":"white"},{"text":"Deathmatch will start in ","color":"yellow"},{"text":"1","color":"aqua"},{"text":" second","color":"yellow"}]
execute if score gameTime gameData matches 1800 run tellraw @a [{"text":"- ","color":"white"},{"text":"Deathmatch started!","color":"yellow"}]

execute if score gameTime gameData matches 600 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1600 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1740 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1760 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1780 run playsound block.note_block.hat voice @a ~ ~ ~ 10000
execute if score gameTime gameData matches 1800 run playsound block.note_block.hat voice @a ~ ~ ~ 10000 2


# End Round
execute if score alive gameData matches 1 run tellraw @a [{"text":"- ","color":"white"},{"selector":"@a[scores={death=0},limit=1]","color":"aqua"},{"text":" won the round and earned ","color":"yellow"},{"score":{"objective":"const","name":"pointsReward"},"color":"aqua"},{"text":" points!","color":"yellow"}]
execute if score alive gameData matches 1 run title @a times 0 80 20
execute if score alive gameData matches 1 run title @a title {"selector":"@a[scores={death=0},limit=1]","color":"aqua","bold":true}
execute if score alive gameData matches 1 run title @a subtitle [{"text":"won ","color":"yellow"},{"score":{"objective":"const","name":"pointsReward"},"color":"yellow"},{"text":" points!","color":"yellow"}]
execute if score alive gameData matches 1 run scoreboard players operation @a[scores={death=0}] points += pointsReward const
execute if score alive gameData matches 1 run scoreboard players set phase gameData 5